function CDT_initMainFrame(content, size)
    local CDT_mainFrame = CreateFrame("Frame", "CooldownTimerFrame", UIParent, "BasicFrameTemplateWithInset");
    local CDT_mainFrameTitle = CreateFrame("Frame", "CooldownTimerTitleFrame", CDT_mainFrame);

    if size then
        local LINE_HEIGHT = 14;
        local TITLE_HEIGHT = 36;
        local height = size * LINE_HEIGHT + TITLE_HEIGHT;
        CDT_mainFrame:SetSize(380, height);
    else
        CDT_mainFrame:SetSize(380, 200);
    end

    CDT_mainFrame:SetPoint("Center", UIParent, "Center");
    CDT_mainFrame.text = CDT_mainFrame:CreateFontString(nil,"ARTWORK") 
    CDT_mainFrame.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE")
    CDT_mainFrame.text:SetPoint("TOP",0,-30);

    if content then
        CDT_mainFrame.text:SetText(content);
    else
        CDT_mainFrame.text:SetText("No data");
    end

    CDT_mainFrameTitle.text = CDT_mainFrame:CreateFontString(nil,"ARTWORK"); 
    CDT_mainFrameTitle.text:SetFont("Fonts\\ARIALN.ttf", 13, "OUTLINE");
    CDT_mainFrameTitle.text:SetPoint("TOP", CDT_mainFrame, "TOP",0, -5);
    CDT_mainFrameTitle.text:SetText("Profession Cooldown Timer");

end